Subject: Processing Neighbor Advertisements

From: "Tammy Leino" <[email-masked]>
Date: Fri, 27 Jul 2001 15:55:42 -0700

Hello All -

According to RFC 2461 section 7.2.5 - Receipt of Neighbor Advertisements, a host is to set the isRouter flag in the Neighbor Cache entry based on the Router flag in the received advertisement.

So, if the flag changes, should the host make the necessary modifications to the Default Router list also?

Thank you in advance,
TL

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 30 Jul 2001 15:17:39 +0200 (CEST)

> According to RFC 2461 section 7.2.5 - Receipt of Neighbor Advertisements, a
> host is to set the isRouter flag in the Neighbor Cache entry based on the
> Router flag in the received advertisement.
> 

See section 7.2.5 which says

    - The IsRouter flag in the cache entry MUST be set based on the
      Router flag in the received advertisement.  In those cases where
      the IsRouter flag changes from TRUE to FALSE as a result of this
      update, the node MUST remove that router from the Default Router
      List and update the Destination Cache entries for all destinations
      using that neighbor as a router as specified in Section 7.3.3.
      This is needed to detect when a node that is used as a router
      stops forwarding packets due to being configured as a host.

  Erik

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------